# [Introductory resources on density-functional theory and DFTK](@id density-functional-theory)

This page collects a bunch of articles, lecture notes, textbooks and recordings
related to density-functional theory (DFT) and DFTK.
Since DFTK aims for an interdisciplinary audience the
level and scope of the referenced works varies.
They are roughly ordered from beginner to advanced.
For a list of articles dealing with novel research aspects achieved using DFTK,
see [Publications](@ref).

- [DFTK: A Julian approach for simulating electrons in solids](https://www.youtube.com/watch?v=-RomkxjlIcQ) by M. F. Herbst:
  Pre-recorded talk for JuliaCon 2020.
  Assumes no knowledge about DFT and gives the broad picture of DFTK.
  [Slides](https://michael-herbst.com/talks/2020.07.29_juliacon_dftk.pdf).

- [DFT in a nutshell](https://doi.org/10.1002/qua.24259) by Kieron Burke and Lucas Wagner:
  Short tutorial-style article introducing the basic DFT setting, basic equations and terminology.
  Great introduction from the physical / chemical perspective.

- [Introduction to plane-wave DFT and DFTK](https://github.com/mfherbst/aachen_introduction_dftk) by M. F. Herbst:
  Jupyter notebooks a two-hour lecture
  introducing plane-wave DFT and DFTK
  to an interdisciplinary audience of undergrads.
  You can also run the notebooks interactively
  [on binder](https://mybinder.org/v2/gh/mfherbst/aachen_introduction_dftk/master).

- [Electronic Structure: Basic theory and practical methods](https://doi.org/10.1017/CBO9780511805769)
  by R. M. Martin (Cambridge University Press, 2004):
  Standard textbook introducing
  most common methods of the field (lattices, pseudopotentials, DFT, ...)
  from the perspective of a physicist.

- [A Mathematical Introduction to Electronic Structure Theory](http://dx.doi.org/10.1137/1.9781611975802)
  by L. Lin and J. Lu (SIAM, 2019):
  Monograph attacking DFT from a mathematical angle.
  Covers topics such as DFT, pseudos, SCF, response, ...
